/*  Archiving Category for Object
    Copyright (C)  1993  The Board of Trustees of
    The Leland Stanford Junior University.  All Rights Reserved.

Authors: Paul Kunz and Imran Qureshi

 * This file is part of the nib translator for 
 * an Objective-C class library for X/Motif

XmMenu.m,v 1.5 1994/12/25 03:43:17 pfkeb Exp

*/

#include "/NextDeveloper/Headers/objc/typedstream.h"
#define NXTypedStream TypedStream
#include <appkit/Menu.h>


@interface Menu (XmArchiving)
- write:(TypedStream *)stream;
@end

@implementation Menu (XmArchiving)

- write:(TypedStream *)stream
{
 /*
  * Since under objcX we'll not use the Window of the menu, the buck stops
  * here for archiving, i.e. no [super write:stream]; 
  */
#ifdef DEBUG
    printf("\nWriting Menu");
#endif

    objc_write_object(stream, matrix);
    return self;
}
