/*  Archiving Category for ScrollView
    Copyright (C)  1993  The Board of Trustees of
    The Leland Stanford Junior University.  All Rights Reserved.

Authors: Paul Kunz and Imran Qureshi

 * This file is part of the nib translator for 
 * an Objective-C class library for X/Motif

XmScrollView.m,v 1.6 1994/12/25 03:43:27 pfkeb Exp

*/

#include "/NextDeveloper/Headers/objc/typedstream.h"
#include "objc/typedstream.h"
#define NXTypedStream TypedStream
#include <appkit/ScrollView.h>

@implementation ScrollView (XmArchiving)

- write:(TypedStream *)stream
{
    int		type;
    BOOL	vflag, hflag;
    
    [super write:stream];
#ifdef DEBUG
    printf("->ScrollView");
#endif
    type = _sFlags.borderType;
    vflag = _sFlags.vScrollerRequired;
    hflag = _sFlags.hScrollerRequired;
    objc_write_types(stream, "icc", &type, &vflag, &hflag);
    return self;
}

@end
