/* Interface for Cell class ToolKit category
 * Copyright (C)  1995  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Scott Francis, Paul Kunz, Imran Qureshi, and Libing Wang
 *
 * This file is part of an Objective-C class library for X-window system
 *
 * xtCell.h,v 1.2 1995/02/23 21:40:24 pfkeb Exp
 */

 
#ifndef _xt_Cell_h_
#define _xt_Cell_h_

#define Object X11Object	/* To avoid problems with Objective C */
#define Window X11Window	/* To avoid problems with Objective C */
#include <X11/IntrinsicP.h>
#undef Object
#undef Window

@interface Cell(ToolKit)
- _addArg:(const char *)name :(XtArgVal)value;
- _setArg:(const char *)name to:(XtArgVal)value;

- _getArg:(const char *)name into:(XtArgVal *)value;
/*
 * Returns the requested resource.   'value' should be a pointer
 * to type of the correct size for the returned result
 */
@end

#endif	/* _xt_Cell_h_ */
