/* hashtable.h
 *
 * Copyright (C)  1993  The Board of Trustees of  
 * The Leland Stanford Junior University.  All Rights Reserved.
 *
 * Authors: Paul Kunz and Keith Mason
 *
 * This file is part of an Objective-C class library for a window system
 * that is like OpenStep
 *
 * hashtable.h,v 1.5 1994/12/14 01:58:30 lakata Exp
 */

/* Implementation note:
 *
 * Nothing to do with hash tables, but it is where NeXTSTEP/OpenStep
 * put some things.
 */
 
#ifndef _OBJC_LITTLE_HASHTABLE_H_
#define _OBJC_LITTLE_HASHTABLE_H_

#include <foundation/zone.h>

typedef const char *NXAtom;

extern char *NXCopyStringBuffer(const char *buffer);
extern char *NXCopyStringBufferFromZone(const char *buffer, NSZone *zone);

#endif /* _OBJC_LITTLE_HASHTABLE_H_ */
